For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCancel EOR Contract
      • PATCHDelay EOR employee onboarding
      • GETFetch EOR Contract form
      • GETFetch Start Date for EOR Contracts
      • GETGet EOR Additional Costs
      • GETRetrieve Benefits by Country
      • GETRetrieve detailed hiring guide for a country
      • POSTSign EOR contract document
      • PATCHUpdate Employee Information for EOR Contract
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Hiring

Fetch EOR Contract form

GET
/forms/eor/create-contract/:country_code
GET
/rest/v2/forms/eor/create-contract/:country_code
$curl -G https://api.letsdeel.com/rest/v2/forms/eor/create-contract/BR \
> -H "Authorization: Bearer <token>" \
> -d state=SP \
> -d start_date=2025-09-03 \
> -d work_hours_per_week=40 \
> -d contract_duration_in_days=360
1{
2 "data": {
3 "pages": [
4 {
5 "title": "Personal Details",
6 "sections": [
7 {
8 "title": "Team information",
9 "questions": [
10 {
11 "key": "client.legal_entity.id",
12 "type": "Dropdown",
13 "title": "Legal entity ID",
14 "rules": [
15 {
16 "title": "Legal entity ID",
17 "source": {
18 "url": "/rest/v2/legal-entities",
19 "definition": "https://developer.deel.com/reference/getlegalentitylist",
20 "description": "Available legal entities for selection must be dynamically fetched"
21 },
22 "options": [
23 {
24 "title": "Yes",
25 "value": "true"
26 },
27 {
28 "title": "No",
29 "value": "false"
30 }
31 ],
32 "is_range": false,
33 "requires": [
34 {
35 "key": "employee.nationality",
36 "value": "null",
37 "operator": "ne",
38 "compare_key": "employment.country"
39 }
40 ],
41 "max_value": 180,
42 "min_value": 0,
43 "max_length": 255,
44 "min_length": 1,
45 "helper_text": "Please select the appropriate legal entity.",
46 "is_disabled": false,
47 "is_required": true,
48 "number_type": "CURRENCY",
49 "default_value": 40,
50 "is_only_digits": false,
51 "date_limitation": "BLOCK_PAST",
52 "is_multiple_selection": false,
53 "must_request_validation": true
54 }
55 ],
56 "source": {
57 "url": "/rest/v2/legal-entities",
58 "definition": "https://developer.deel.com/reference/getlegalentitylist",
59 "description": "Available legal entities for selection must be dynamically fetched"
60 },
61 "options": [
62 {
63 "title": "Yes",
64 "value": "true"
65 },
66 {
67 "title": "No",
68 "value": "false"
69 }
70 ],
71 "is_range": false,
72 "max_value": 180,
73 "min_value": 0,
74 "max_length": 255,
75 "min_length": 1,
76 "helper_text": "Please select the appropriate legal entity.",
77 "is_disabled": false,
78 "is_required": true,
79 "number_type": "CURRENCY",
80 "default_value": 40,
81 "is_only_digits": false,
82 "date_limitation": "BLOCK_PAST",
83 "is_multiple_selection": false,
84 "must_request_validation": true
85 }
86 ],
87 "subtitle": "Information about the team"
88 }
89 ]
90 }
91 ]
92 }
93}

Retrieves the versioned form definition for creating an EOR contract in the specified country, including fields, validation rules, and conditional logic. The state parameter is only required for countries that mandate it. Token scopes: forms:read

Was this page helpful?
Previous

Fetch Start Date for EOR Contracts

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

country_codestringRequiredformat: "^[A-Z]{2}$"=2 characters

Two-letter country code in ISO 3166-1 alpha-2 format

Query parameters

statestringOptional
The selected state code of the contract. This is only required for countries that specify it.
start_datestringOptional
The selected start date of the contract in ISO 8601 formatted date string.
work_hours_per_weekintegerOptional
The selected number of work hours per week.
contract_duration_in_daysintegerOptional
The contract duration in days for definite contracts.

Response

Successful response containing form configuration data.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication